# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

profile = data_store['profile']
metric = data_store['metrics']['nsx.auditlog.auditlog-health-for-remote-error-status']

if metric:
    logging_server_status_dict = metric['value'][0]
    deleted_entity_list = metric['value'][1]
    Alarm(status = {3 : logging_server_status_dict},
          feature = 'audit_log_health',
          event_type = 'remote_logging_server_error',
          deleted_entity_list = deleted_entity_list)
else:
    logger.info('No nsx.auditlog.auditlog-health-for-remote-error-status metric: {}'.format(data_store['metrics']))
